package net.morilib.nina;

public interface NinaConsole {

	/**
	 * 
	 * @param p
	 * @param a
	 */
	public void print(String p, Object... a);

	/**
	 * 
	 * @param p
	 * @param a
	 */
	public void perror(String p, Object... a);

	/**
	 * 
	 * @param p
	 * @param a
	 */
	public void pwarn(String p, Object... a);

	/**
	 * 
	 * @param p
	 * @param a
	 */
	public void pmessage(String p);

}
